package org.example.missocios;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.RatingBar;
import android.widget.TextView;

public class AdaptadorSocios extends BaseAdapter {
    private LayoutInflater inflador; // Crea Layouts a partir del XML
    TextView nombre, direccion,Primerapellido,Segundoapellido,telefono,numerosocio;
    ImageView foto;
    public AdaptadorSocios(Context contexto) {
        inflador = (LayoutInflater) contexto
                .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }
    public View getView(int posicion, View vistaReciclada, ViewGroup padre) {
        Socio socio = Socios.elemento(posicion);
        if (vistaReciclada == null) {
            vistaReciclada = inflador.inflate(R.layout.elemento_lista, null);
        }
        nombre = (TextView) vistaReciclada.findViewById(R.id.nombre);
        Primerapellido = (TextView) vistaReciclada.findViewById(R.id.PrimerApellido);
        Segundoapellido = (TextView) vistaReciclada.findViewById(R.id.SegundoApellido);
        direccion = (TextView) vistaReciclada.findViewById(R.id.direccion);
        telefono = (TextView) vistaReciclada.findViewById(R.id.telefono);
        numerosocio = (TextView) vistaReciclada.findViewById(R.id.NumeroSocio);

        foto = (ImageView) vistaReciclada.findViewById(R.id.foto);

        nombre.setText(socio.getNombre());
        Primerapellido.setText(socio.getPrimer_Apellido());
        Segundoapellido.setText(socio.getSegundo_Apellido());
        telefono.setText(Integer.toString(socio.getTelefono()));
        numerosocio.setText(Integer.toString(socio.getNumero_socio()));
        direccion.setText(socio.getDireccion());
        int id = R.drawable.socio;
        switch(socio.getTipoSocio()) {
            case COLABORADOR:id = R.drawable.socio; break;
            case DISCAPACITADO: id = R.drawable.discapacidad; break;
            case DIRECTIVA : id =R.drawable.directiva; break;
            case PERSONAL :id = R.drawable.trabajador; break;
            case OTROS: id = R.drawable.socio; break;
        }
        foto.setImageResource(id);
        foto.setScaleType(ImageView.ScaleType.FIT_END);

        return vistaReciclada;
    }
    public int getCount() {
        return Socios.size();
    }
    public Object getItem(int posicion) {
        return Socios.elemento(posicion);
    }
    public long getItemId(int posicion) {
        return posicion;
    }
}

