package org.example.missocios;

import android.app.Activity;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.support.v7.app.AlertDialog;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Spinner;
import android.widget.TextView;

import java.sql.Date;
import java.text.DateFormat;

public class EdicionFichaSocio extends Activity {
    private long id;
    private Socio socio;
    private EditText nombre;
    private EditText PrimerApellido;
    private EditText SegundoApellido;
    private EditText dni;
    private EditText NumeroSocio;
    private Spinner tipoSocio;
    private EditText direccion;
    private EditText telefono;
    private EditText email;
    private Spinner servicios;
    private EditText cuota;
    private EditText historial;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.edicion_ficha_socio);
        Bundle extras = getIntent().getExtras();
        id = extras.getLong("id", -1);
        socio= Socios.elemento((int) id);
        nombre = ( EditText) findViewById(R.id.nombre);
        nombre.setText(socio.getNombre());
        PrimerApellido = ( EditText) findViewById(R.id.PrimerApellido);
        PrimerApellido.setText(socio.getPrimer_Apellido());
        SegundoApellido = ( EditText) findViewById(R.id.SegundoApellido);
        SegundoApellido.setText(socio.getSegundo_Apellido());
        dni = ( EditText) findViewById(R.id.DNI);
        dni.setText(Integer.toString(socio.getDNI()));
        NumeroSocio = ( EditText) findViewById(R.id.NumeroSocio);
        NumeroSocio.setText(Integer.toString(socio.getNumero_socio()));

        tipoSocio = (Spinner) findViewById(R.id.TipoSocio);
        ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this,
                android.R.layout.simple_spinner_item, TipoSocio.getNombres());
        adaptador.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        tipoSocio.setAdapter(adaptador);
        tipoSocio.setSelection(socio.getTipoSocio().ordinal());

        direccion = ( EditText) findViewById(R.id.direccion);
        direccion.setText(socio.getDireccion());
        telefono = ( EditText) findViewById(R.id.telefono);
        telefono.setText(Integer.toString(socio.getTelefono()));
        email = ( EditText) findViewById(R.id.Email);
        email.setText(socio.getEmail());


        servicios = (Spinner) findViewById(R.id.Servicios);
        ArrayAdapter<String> adaptadr = new ArrayAdapter<String>(this,
                android.R.layout.simple_spinner_item, ServicioUso.getServicos());
        adaptadr.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        servicios.setAdapter(adaptadr);
        servicios.setSelection(socio.getServicios().ordinal());


        cuota = (EditText) findViewById(R.id.Cuota);
        cuota.setText(Integer.toString(socio.getCuota()));

        historial = (EditText) findViewById(R.id.historial);
        historial.setText(socio.getHistorial());


        //con botonesque descienda de Activity
        Button Guardar =(Button) findViewById(R.id.Guardar);
        Guardar.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                socio.setNombre(nombre.getText().toString());
                socio.setPrimer_Apellido(PrimerApellido.getText().toString());
                socio.setSegundo_Apellido(SegundoApellido.getText().toString());
                socio.setDNI(Integer.parseInt(dni.getText().toString()));
                socio.setNumero_socio(Integer.parseInt(NumeroSocio.getText().toString()));
                socio.setTipoSocio(TipoSocio.values()[tipoSocio.getSelectedItemPosition()]);
                socio.setDireccion(direccion.getText().toString());
                socio.setTelefono(Integer.parseInt(telefono.getText().toString()));
                socio.setEmail(email.getText().toString());
                socio.setServicios(ServicioUso.values()[servicios.getSelectedItemPosition()]);
                socio.setCuota(Integer.parseInt(cuota.getText().toString()));
                socio.setHistorial(historial.getText().toString());
                Socios.actualizaSocio((int) id, socio);
                finish();
            }
        });
        Button b_Cancelar =(Button) findViewById(R.id.Cancelar);
        b_Cancelar.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                if (getIntent().getExtras().getBoolean("nuevo", false)) {
                    Socios.borrar((int) id);
                }
                finish();
            }
        });

    }








   //con la barra de menus que descienda de ActionBarActivity

    /*@Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.edicion_ficha, menu);
        return true;
    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.accion_Cancelar:
                finish();
            case R.id.accion_Guardar:
                socio.setNombre(nombre.getText().toString());
                socio.setPrimer_Apellido(PrimerApellido.getText().toString());
                socio.setSegundo_Apellido(SegundoApellido.getText().toString());
                socio.setDNI(Integer.parseInt(dni.getText().toString()));
                socio.setNumero_socio(Integer.parseInt(NumeroSocio.getText().toString()));
                socio.setTipoSocio(TipoSocio.values()[tipoSocio.getSelectedItemPosition()]);
                socio.setDireccion(direccion.getText().toString());
                socio.setTelefono(Integer.parseInt(telefono.getText().toString()));
                socio.setEmail(email.getText().toString());
                socio.setServicios(ServicioUso.values()[servicios.getSelectedItemPosition()]);
                socio.setCuota(Integer.parseInt(cuota.getText().toString()));
                socio.setHistorial(historial.getText().toString());
                finish();
            default:
                return super.onOptionsItemSelected(item);
        }
    }*/

}
