package org.example.missocios;

import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.media.MediaPlayer;
import android.preference.PreferenceManager;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class MainAtivity extends AppCompatActivity {
    MediaPlayer mp ;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);
        mp = MediaPlayer.create(this, R.raw.elguardaespaldas);
    }
    //metodos para el ciclo de vida
    @Override protected void onStart() {
        super.onStart();
        SharedPreferences prefem = PreferenceManager.getDefaultSharedPreferences(this);
        if (prefem.getBoolean("musica", true)==true) {
            mp.start();}
    }

    @Override protected void onResume() {
        super.onResume();

        SharedPreferences prefem = PreferenceManager.getDefaultSharedPreferences(this);
        if (prefem.getBoolean("musica", true)==true) {
            mp.start();}
    }
    @Override protected void onPause() {
        mp.pause();
        super.onPause();
    }
    @Override protected void onStop() {
        super.onStop();

    }
    @Override
    protected void onRestart() {
        super.onRestart();

    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        //muestra el estado del ciclo de vida

        //reproduccion de musica
    }
    @Override protected void onSaveInstanceState(Bundle estadoGuardado){
        super.onSaveInstanceState(estadoGuardado);
        if (mp != null) {
            int pos = mp.getCurrentPosition();
            estadoGuardado.putInt("posicion", pos);
        }
    }
    @Override protected void onRestoreInstanceState(Bundle estadoGuardado) {
        super.onRestoreInstanceState(estadoGuardado);
        if (estadoGuardado != null && mp != null) {
            int pos = estadoGuardado.getInt("posicion");
            mp.seekTo(pos);
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        if (id == R.id.informacion) {
            lanzarInformacion(null);
            return true;}

        if (id == R.id.menu_buscar) {
            lanzarVista(null);
            return true;}

        return super.onOptionsItemSelected(item);
    }

    //---->LANZAR LAS ACTIVIDADES<----//

    public void lanzarInformacion(View view){
        Intent i= new Intent(this,Informacion.class);
        startActivity(i);
    }
//esta es la buena para mi app
    public void lanzarVistaFichaSocio(View view){
        Intent i = new Intent(this, VistaFichaSocio.class);
        i.putExtra("id", (long)0);
        startActivity(i);
    }
    public void lanzarListaSocios(View view){
        Intent i = new Intent(this, ListaSocios.class);
        startActivity(i);
    }
    public void lanzarServicios(View view){
        Intent i = new Intent(this, Servicios.class);
        startActivity(i);
    }
    public void lanzarajustes(View view){
        Intent i = new Intent(this, Ajustes.class);
        startActivity(i);
    }
    public void finalizar(View view){
        finish();
    }


    //lanzar ficha socio de prueba borra luego
    public void lanzarVista(View view){
        final EditText entrada = new EditText(this);
        entrada.setText("1");
        new AlertDialog.Builder(this)
                .setTitle("Seleccións socio")
                .setMessage("Indica numero de socio:")
                .setView(entrada)
                .setPositiveButton("Ok", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int whichButton) {
                        long id = Long.parseLong(entrada.getText().toString()) - 1;
                        if (id > 0) {
                            Intent i = new Intent(MainAtivity.this, VistaFichaSocio.class);
                            i.putExtra("id", id);
                            startActivity(i);
                        }
                        else{
                            finish();
                        }
                    }
                })
                .setNegativeButton("Cancelar", null)
                .show();
    }
}
