package org.example.missocios;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

import java.util.ArrayList;
import java.util.List;

public class Socios {
    protected static List<Socio> vectorLugares = ejemploSocios();
    private static SociosBD sociosBD;
    public static void indicializaBD(Context contexto){
        sociosBD = new SociosBD(contexto);
    }
    public static Cursor listado() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios ORDER BY numero_socio", null);
    }
    public static Cursor listadomorosos() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Cuota<15 ORDER BY numero_socio", null);
    }
    public static Cursor listadopagdos() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Cuota>=15 ORDER BY numero_socio", null);
    }
    public static Cursor listadofisioterapia() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Servicios=0 ORDER BY numero_socio", null);
    }
    public static Cursor listadologopedia() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Servicios=1 ORDER BY numero_socio", null);
    }
    public static Cursor listadoapoyo() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Servicios=2 ORDER BY numero_socio", null);
    }
    public static Cursor listadobebeteca() {
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        return bd.rawQuery("SELECT * FROM socios WHERE Servicios=3 ORDER BY numero_socio", null);
    }

    public Socios() {
        vectorLugares = ejemploSocios();
    }

   /* static Socio elemento(int id) {

        return vectorLugares.get(id-1);   //******ATENCION!!! el -1 lo añadido yo igual hay que borrarlo
    }*/

    public static Socio elemento(int id) {
        Socio socio = null;
        SQLiteDatabase bd = sociosBD.getReadableDatabase();
        Cursor cursor = bd.rawQuery("SELECT * FROM socios WHERE _id = " + id, null);
        if (cursor.moveToNext()){
            socio = new Socio();
            socio.setNombre(cursor.getString(1));
            socio.setPrimer_Apellido(cursor.getString(2));
            socio.setSegundo_Apellido(cursor.getString(3));
            socio.setDNI(cursor.getInt(4));
            socio.setNumero_socio(cursor.getInt(5));
            socio.setTipoSocio(TipoSocio.values()[cursor.getInt(6)]);
            socio.setDireccion(cursor.getString(7));
            socio.setTelefono(cursor.getInt(8));
            socio.setEmail(cursor.getString(9));
            socio.setServicios(ServicioUso.values()[cursor.getInt(10)]);
            socio.setCuota(cursor.getInt(11));
            socio.setHistorial(cursor.getString(12));
            socio.setFoto(cursor.getString(13));
            socio.setFecha(cursor.getLong(14));
        }
        cursor.close();
        bd.close();
        return socio;
    }

    public static void actualizaSocio(int id, Socio socio){
        SQLiteDatabase bd = sociosBD.getWritableDatabase();
        bd.execSQL("UPDATE socios SET nombre = '" + socio.getNombre() +
                "', Primer_Apellido = '" + socio.getPrimer_Apellido() +
                "', Segundo_Apellido = '" + socio.getSegundo_Apellido() +
                "', DNI = " + socio.getDNI() +
                " , numero_socio = " + socio.getNumero_socio() +
                " , tipoSocio = " + socio.getTipoSocio().ordinal() +
                " , direccion = '" + socio.getDireccion() +
                "', telefono = " + socio.getTelefono() +
                " , Email = '" + socio.getEmail() +
                "', Servicios  = " + socio.getServicios().ordinal() +
                " , Cuota = " + socio.getCuota() +
                " , Historial = '" + socio.getHistorial() +
                "', foto = '" + socio.getFoto() +
                "', fecha = " + socio.getFecha() +
                " WHERE _id = " + id);
        bd.close();
    }

    static void anyade(Socio socio) {

        vectorLugares.add(socio);
    }

    /*static int nuevo() {
        Socio socio = new Socio();
        vectorLugares.add(socio);
        return vectorLugares.size() - 1;
    }*/

    public static int nuevo() {
        int id = -1;
        Socio socio = new Socio();
        SQLiteDatabase bd = sociosBD.getWritableDatabase();
        bd.execSQL("INSERT INTO socios ( tipoSocio, Servicios, fecha) "+ "VALUES ( "+socio.getTipoSocio().ordinal() +", "+
                socio.getServicios().ordinal()+", "+socio.getFecha()+")");
        Cursor c = bd.rawQuery("SELECT _id FROM socios WHERE fecha = " + socio.getFecha(), null);
        if (c.moveToNext()){
            id = c.getInt(0);
        }
        c.close();
        bd.close();
        return id;
    }

    /*static void borrar(int id) {
        vectorLugares.remove(id);
    }*/

    public static void borrar(int id) {
        SQLiteDatabase bd = sociosBD.getWritableDatabase();
        bd.execSQL("DELETE FROM socios WHERE _id = " + id );
        bd.close();
    }

    public static int size() {
        return vectorLugares.size();
    }
    public static ArrayList<Socio> ejemploSocios() {
        ArrayList<Socio> lugares = new ArrayList<Socio>();
        lugares.add(new Socio("Adrian","Peinado","Carrasco",47099908,1,TipoSocio.COLABORADOR,"C/ del agua nº 47 (Casas de haro Cuenca)",969380641,"adpeicar@etsii.upv.es",
                ServicioUso.APOYO_ESCOLAR,15,"Es un nuevo socio que necesita apoyo escolar"));
        lugares.add(new Socio("Ana","Talavera","Ortega",47397384,2,TipoSocio.PERSONAL,"",969380741,"antaor@uv.es",
                ServicioUso.OTROS,15,"Nueva fisioterapeuta contratada por la asociacion"));
        lugares.add(new Socio("Angel2","Talavera","",473974684,3,TipoSocio.DIRECTIVA,"",969380741,"angraor@uv.es",
                ServicioUso.FISIOTERAPIA,15,"Nuevo jefe de la sociacon"));
        lugares.add(new Socio("Angel","Talavera","",473974684,4,TipoSocio.DIRECTIVA,"",969380741,"angraor@uv.es",
                ServicioUso.FISIOTERAPIA,15,"Nuevo jefe de la sociacon"));
        lugares.add(new Socio("Alex","Peinado","",47099909,5,TipoSocio.DISCAPACITADO,"",969380741,"angraor@uv.es",
                ServicioUso.LOGOPEDIA,15,"Nuevo jefe de la sociacon"));

        return lugares;
    }
}
